Index: TXM/trunk/pom.xml
===================================================================
--- TXM/trunk/pom.xml	(revision 3940)
+++ TXM/trunk/pom.xml	(revision 3941)
@@ -77,7 +77,10 @@
           <groupId>org.eclipse.tycho.extras</groupId>
           <artifactId>tycho-document-bundle-plugin</artifactId>
           <version>2.7.1</version>
-          
+          <configuration>
+         	<buildDirectory>/home/mdecorde/javadoctxmtmp</buildDirectory>
+	        <outputDirectory>/home/mdecorde/javadoctxm</outputDirectory>
+         </configuration>
         </plugin>
 			</plugins>
 		</pluginManagement>
@@ -189,7 +192,8 @@
           <groupId>org.eclipse.tycho.extras</groupId>
           <artifactId>tycho-document-bundle-plugin</artifactId>
          <configuration>
-	         <outputDirectory>/home/mdecorde/javadoctxm</outputDirectory>
+         	<buildDirectory>/home/mdecorde/javadoctxmtmp</buildDirectory>
+	        <outputDirectory>/home/mdecorde/javadoctxm</outputDirectory>
          </configuration>
         </plugin>
 
Index: TXM/trunk/bundles/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeManager.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.jodconverter.core/src/main/java/org/artofsolving/jodconverter/office/OfficeManager.java	(revision 3941)
@@ -14,7 +14,6 @@
 
 /**
  * An OfficeManager knows how to execute {@link OfficeTask}s.
- * <p>
  * An OfficeManager implementation will typically manage one or more OfficeManager
  */
 public interface OfficeManager {
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/ProcessBuilderBuilder.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/ProcessBuilderBuilder.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/ProcessBuilderBuilder.java	(revision 3941)
@@ -52,7 +52,7 @@
  *             (CLIX) then creates the corresponding java wrapper API code.
  * 
  *             example xml definition file :
- * 
+ * {@code
  *             <application name="progname" version="0.0.0" desc="..."> <progs>
  *             <prog exec="prog.exe" desc="..."> <args>
  *             <arg state="optional" type="none" name="thing" desc="the thing
@@ -60,6 +60,7 @@
  *             <arg state="must" type="none" name="compulsorything" desc=""/>
  *             <arg state="multiple" type="none" name="onethingatleast" desc=
  *             ""/> </args> </prog> </progs> </application>
+ *             }
  * @author mdecorde, sheiden
  */
 @Deprecated
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java	(revision 3941)
@@ -64,7 +64,7 @@
 	public static int MAX_NEWLINES = 10;
 
 	/**
-	 * The CONSOLE flags indicates if messages with level < INFO are printed in
+	 * The CONSOLE flags indicates if messages with level inferior to INFO are printed in
 	 * console
 	 */
 	public static boolean CONSOLE = false;
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java	(revision 3941)
@@ -37,7 +37,7 @@
  * "ignore whitespace" are implemented by modifying the <code>equals</code> and
  * <code>hashcode</code> methods for the objects compared.
  * <p>
- * The basic algorithm is described in: </br>
+ * The basic algorithm is described in: 
  * "An O(ND) Difference Algorithm and its Variations", Eugene Myers,
  * Algorithmica Vol. 1 No. 2, 1986, p 251.
  * <p>
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/BiHashMap.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/BiHashMap.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/BiHashMap.java	(revision 3941)
@@ -1,6 +1,5 @@
 package org.txm.utils;
 
-import java.util.HashMap;
 import java.util.Properties;
 import java.util.Set;
 import java.util.concurrent.ConcurrentHashMap;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/NameSpaceXmlNodePrinter.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/NameSpaceXmlNodePrinter.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/NameSpaceXmlNodePrinter.java	(revision 3941)
@@ -152,7 +152,7 @@
     }
 
     /**
-     * Whether empty elements are expanded from <tagName/> to <tagName></tagName>.
+     * Whether empty elements are expanded from {@code <tagName/>} to {@code <tagName></tagName>}.
      *
      * @param expandEmptyElements if <code>true</code>, empty
      *                            elements will be represented by an opening tag
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/BundleUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 3941)
@@ -187,7 +187,7 @@
 	 * @param bundle_id
 	 * @param source_relative_directory only used when TXM is run from Eclipse
 	 * @param file_path relative path to the file to copy
-	 * @param file_name the file name to copy <b>if file_name is a directory be sure to add "/" at the end of the file<b/>
+	 * @param file_name the file name to copy <b>if file_name is a directory be sure to add "/" at the end of the file</b>
 	 * @param outputDirectory
 	 * @return true if success
 	 */
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java	(revision 3941)
@@ -16,7 +16,7 @@
 /**
  * Parse and write a XML file. If no hook specified the file is not transformed (mimic the implementation of the old StaxIdentityParser)
  * 
- * See thee available Hook&Activators classes to do more things
+ * See the available Hook and Activators classes to do more things
  * 
  * @author mdecorde
  *
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/HookActivator.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/HookActivator.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/HookActivator.java	(revision 3941)
@@ -17,7 +17,7 @@
 	 * 
 	 * The Hook will be associated in the Hook constructor
 	 * 
-	 * @param hook if the hook is already defined. you can associated it that way (or call hook.setActivator() && activator.setHook(
+	 * @param hook if the hook is already defined. you can associated it that way (or call hook.setActivator() and activator.setHook(
 	 */
 	public HookActivator(Hook<T> hook) {
 		this.hook = hook;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/scripts/filters/Filter.java	(revision 3941)
@@ -303,7 +303,7 @@
 	}
 
 	/**
-	 * Called before {@link "filter()"}.
+	 * Called before {@link #filter()}.
 	 *
 	 * @return true, if successful
 	 */
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/Toolbox.java	(revision 3941)
@@ -744,7 +744,7 @@
 	}
 	
 	/**
-	 * Creates&Update workspace directory.
+	 * Creates and Update workspace directory.
 	 * 
 	 * The update part consist of copying files from the install directory
 	 *
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/scripts/importer/StaxStackWriter.java	(revision 3941)
@@ -64,7 +64,7 @@
 	}
 	
 	/**
-	 * tagsToWrite: List<String> or List<[String, [String, String]]>
+	 * tagsToWrite: {@code List<String> or List<[String, [String, String]]>}
 	 * @throws XMLStreamException 
 	 */
 	public void writeStartElements(List<Object> tagsToWrite) throws XMLStreamException {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 3941)
@@ -40,13 +40,13 @@
  * Base preferences initializer and manager.
  * 
  * Getters return a value of preference looking in this order:
- * 1) local node linked to a TXM result if exists									(ProjectScope - /project/<project_name>/<UUID of TXMResult>/<preference key>)
- * 2) command global value															(InstanceScope - /instance/<bundle_id>/<preference key>)
+ * 1) local node linked to a TXM result if exists									(ProjectScope - {@code /project/<project_name>/<UUID of TXMResult>/<preference key>})
+ * 2) command global value															(InstanceScope - {@code /instance/<bundle_id>/<preference key>})
  * 3) alternative specified global value,
- * 	 	eg. engine preference added to TXMPreference.alternativeNodesQualifiers		(InstanceScope - /instance/<bundle_id>/<preference key>)
+ * 	 	eg. engine preference added to TXMPreference.alternativeNodesQualifiers		(InstanceScope - {@code /instance/<bundle_id>/<preference key>})
  * 4) alternative specified default value,
- *  	eg. engine preference added to TXMPreference.alternativeNodesQualifiers		(DefaultScope - /bundle_defaults/<bundle_id>/<preference key>)
- * 5) command default value 														(DefaultScope - /bundle_defaults/<bundle_id>/<preference key>)
+ *  	eg. engine preference added to TXMPreference.alternativeNodesQualifiers		(DefaultScope - {@code /bundle_defaults/<bundle_id>/<preference key>})
+ * 5) command default value 														(DefaultScope - {@code /bundle_defaults/<bundle_id>/<preference key>})
  * 6) hard coded in getters
  * 
  * Persistence of TXM results is done by calling flush() that creates a file named by the result node qualifier,
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/Base64.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/Base64.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/preferences/Base64.java	(revision 3941)
@@ -43,21 +43,21 @@
  * <a href="http://www.ietf.org/rfc/rfc2045.txt">RFC 2045</a>.
  *
  * <ul>
- * <li><a name="basic"><b>Basic</b></a>
+ * <li><a><b>Basic</b></a>
  * <p> Uses "The Base64 Alphabet" as specified in Table 1 of
  *     RFC 4648 and RFC 2045 for encoding and decoding operation.
  *     The encoder does not add any line feed (line separator)
  *     character. The decoder rejects data that contains characters
  *     outside the base64 alphabet.</p></li>
  *
- * <li><a name="url"><b>URL and Filename safe</b></a>
+ * <li><a><b>URL and Filename safe</b></a>
  * <p> Uses the "URL and Filename safe Base64 Alphabet" as specified
  *     in Table 2 of RFC 4648 for encoding and decoding. The
  *     encoder does not add any line feed (line separator) character.
  *     The decoder rejects data that contains characters outside the
  *     base64 alphabet.</p></li>
  *
- * <li><a name="mime"><b>MIME</b></a>
+ * <li><a><b>MIME</b></a>
  * <p> Uses the "The Base64 Alphabet" as specified in Table 1 of
  *     RFC 2045 for encoding and decoding operation. The encoded output
  *     must be represented in lines of no more than 76 characters each
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3941)
@@ -88,7 +88,7 @@
 	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-_]+"); //$NON-NLS-1$
 
 	public static final String UNDERSCORE = "_"; //$NON-NLS-1$
-
+	
 	/**
 	 * Results counter to create unique ids.
 	 */
@@ -495,8 +495,8 @@
 	/**
 	 * Stores the parameters of the specified types used during last computing in the specified HashMap.
 	 * 
-	 * @param parameterTypes
-	 * @param appendToLastParameters
+	 * @param parametersTypes
+	 * @param lastParameters
 	 * @throws Exception
 	 */
 	protected void updateLastParameters(ArrayList<Integer> parametersTypes, HashMap<String, Object> lastParameters) throws Exception {
@@ -565,7 +565,6 @@
 	 * Removes all the parameters of the specified type from the last parameters history.
 	 * 
 	 * @param parameterType
-	 * @throws Exception
 	 */
 	protected void clearLastParameters(int parameterType) {
 
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusCommandPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusCommandPreferences.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusCommandPreferences.java	(revision 3941)
@@ -6,7 +6,7 @@
 import org.txm.core.preferences.TXMPreferences;
 
 /**
- * Wrapper for getting&setting corpus command default parameters
+ * Wrapper for getting and setting corpus command default parameters
  * //TODO move the logic to TXMPreferences 
  * 
  * @author mdecorde
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/EditionDefinition.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/EditionDefinition.java	(revision 3940)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/EditionDefinition.java	(revision 3941)
@@ -5,7 +5,7 @@
 import org.txm.core.preferences.TBXPreferences;
 
 /**
- * Wrapper for getting&setting edition definition parameters
+ * Wrapper for getting&amp;setting edition definition parameters
  * 
  * @author mdecorde
  *
